/**
 * @Classname ConstData
 * @Description TODO
 * @Date 2019/8/23 10:00
 * @Created by Administrator
 */

import React from 'react';
import { connectAlita } from 'redux-alita';
import cApps from './application';
import cLabels from './config_label';
import cProfiles from './profile';

class ConstData extends React.Component {

    static propTypes = {};

    static defaultProps = {};

    constructor(props) {
        super(props);
        this.state = {};
    }

    componentDidMount() {
        let constData = { cApps, cLabels, cProfiles };
        this.props.setAlitaState({ stateName: 'fData', data: constData });
    }

    render() {
        return this.props.children;
    }


}


export default connectAlita([])(ConstData);
